///////////////////////////////////////
//		class
///////////////////////////////////////

//-------------
//data.h
//-------------

#ifndef _DATA_H_

#define _DATA_H_

class CPlayer;

//dataクラス
class CData
{
public:

	typedef enum
	{

		MODE_FINISH=0,				//終了
		MODE_INPUT,					//入力
		MODE_OUTPUT,				//出力
		MODE_SAVE,					//セーブ
		MODE_LOAD,					//ロード
		MODE_MAX					//マックス

	}MODE;

	CData();						//コンストラクタ
	~CData();						//デストラクタ
	void Init();					//初期化処理
	void Uninit();					//終了処理
	void SelectMode();				//モード選択
	void Input();					//入力処理
	void Output( );					//出力処理
	void saveData( );				//データのセーブ
	bool loadData( );				//データのロード

private:

	CPlayer *m_pPlayer;				//player
	int m_nPlayerCount;				//playerの数

};


#endif	//_DATA_H_